<?php session_start();
  
  //classe que trata de questoes internas do remoto como nome de loja por exemplo
	require_once 'RemotoInterno.php';
  //conexao com mysql
	require_once 'conexao.php';
  //conexao com o sql server
	require_once 'conexaoSQL.php';
  //classe que gerencia as sangrias
  require_once 'class/ContasPagarBaixaMysql.php';


//pegando a loja logada
$loja = $_SESSION['loja'];

//convertendo a string loja para um formato entendido pelo softcom
$RemotoInterno = new RemotoInterno();
$lojaSQL = $RemotoInterno->TransformarLoja($loja);

//instanciando a classe ContasPagarBaixarMysql usando seus argumentos padrao
$buscar = new  ContasPagarBaixaMysql();
//acessando o metodo que retorna as sangrias
$sangria = $buscar->buscarSngrias($lojaSQL);

    //percorrendo os dados da sangria
    foreach($sangria as $conta) {
      
      //instanciando um objeto para cada sangria  
      $baixar = new  ContasPagarBaixaMysql($conta[0],$conexao);
      //metodo que baixa a sangria o metodo usa o numero do objeto por isso nao precisa passar por aqui
      $baixar->baixarSangriaRemoto();
      echo $conta[0];
      }
    //ao sair do laco ou seja quando terminar de baixar voltar para a pagina cofre.php
    header("Location: ../cofre.php");